apiVersion: v1
kind: Pod
metadata:
  name: volume-test
  labels:
    app: volume-test
spec:
  volumes:
    - name: shared-storage
      emptyDir: {}
  containers:
    - name: busybox1
      image: busybox
      command: [ "/bin/sh", "-c", "--" ]
      args: ["trap : TERM INT; (while true; do sleep 1000; done) & wait"]
      volumeMounts:
        - name: shared-storage
          mountPath: /data/shared-storage
    - name: busybox2
      image: busybox
      command: [ "/bin/sh", "-c", "--" ]
      args: ["trap : TERM INT; (while true; do sleep 2000; done) & wait"]
      volumeMounts:
        - name: shared-storage
          mountPath: /data/shared-storage